Security Enhanced Linux Reference Policy

# Layer: apps

## Module: cryfs

Tunables Interfaces

### Description:

CryFS and similar other tools which mount encrypted directories using FUSE.

### Tunables:

cryfs_manage_all_user_content

##### Default value

false

##### Description

Grant the cryfs domains manage rights on all user content

cryfs_manage_generic_user_content

##### Default value

false

##### Description

Grant the cryfs domains manage rights on generic user content

cryfs_read_all_user_content

##### Default value

false

##### Description

Grant the cryfs domains read access to all user content

cryfs_read_generic_user_content

##### Default value

true

##### Description

Grant the cryfs domains read access to generic user content

Return

### Interfaces:

cryfs_role( role , domain )

##### Summary

Role access for CryFS.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

Return